<?xml version="1.0" ?>

<TestCase name="Base64encode_decode" version="5">

<meta>
   <create version="7.1" buildNumber="7.1.0.611" author="USWM82S" date="02/20/2014" host="NUSF27710296" />
   <lastEdited version="9.5.1" buildNumber="9.5.1.6" author="admin" date="01/16/2017" host="NESJO02" />
</meta>

<id>C25548349A6511E3AD5DF01FAF6372B9</id>
<Documentation>Put documentation of the Test Case here.</Documentation>
<IsInProject>true</IsInProject>
<sig>ZWQ9NSZ0Y3Y9NSZsaXNhdj05LjUuMSAoOS41LjEuNikmbm9kZXM9OTIyMTA0MzU4</sig>
<subprocess>false</subprocess>

<initState>
</initState>

<resultState>
</resultState>

<deletedProps>
</deletedProps>

    <Node name="Encode Response" log=""
          type="com.itko.lisa.test.TestNodeLogger" 
          version="1" 
          uid="C933DBA99A6511E3AD5DF01FAF6372B9" 
          think="500-1S" 
          useFilters="true" 
          quiet="true" 
          next="Encode Request" > 


      <!-- Filters -->
      <Filter type="com.itko.lisa.test.FilterSaveResponse">
        <valueToFilterKey>lisa.Encode Response.rsp</valueToFilterKey>
      <prop>fl_response</prop>
      </Filter>

<log>12345678APPL_ID100AAAAAAAA1234567890SOME_LAST_NAME</log>
    </Node>


    <Node name="Encode Request" log=""
          type="com.itko.lisa.test.TestNodeLogger" 
          version="1" 
          uid="9185DD0CDBED11E6A7B464A220524153" 
          think="500-1S" 
          useFilters="true" 
          quiet="true" 
          next="Base64Encode_Response" > 


      <!-- Filters -->
      <Filter type="com.itko.lisa.test.FilterSaveResponse">
        <valueToFilterKey>lisa.Encode Request.rsp</valueToFilterKey>
      <prop>fl_request</prop>
      </Filter>

<log>12345678APPL_ID1AAAAAAAA1234567890SOME_LAST_NAME</log>
    </Node>


    <Node name="Base64Encode_Response" log=""
          type="com.itko.lisa.test.ScriptNode" 
          version="1" 
          uid="BA7917539A6111E3AD5DF01FAF6372B9" 
          think="500-1S" 
          useFilters="true" 
          quiet="false" 
          next="Base64Encode_Request" > 


      <!-- Filters -->
      <Filter type="com.itko.lisa.test.FilterSaveResponse">
        <valueToFilterKey>lisa.Base64Encode_Response.rsp</valueToFilterKey>
      <prop>encodedMessage</prop>
      </Filter>


      <!-- Assertions -->
<CheckResult assertTrue="true" name="Any Exception Then Fail" type="com.itko.lisa.dynexec.CheckInvocationEx">
<log>Assertion name: Any Exception Then Fail checks for: true  is of type: Assert on Invocation Exception.</log>
<then>fail</then>
<valueToAssertKey></valueToAssertKey>
        <param>.*</param>
</CheckResult>

<onerror>abort</onerror>
<script>&#13;&#10;import com.itko.lisa.remote.utils.Base64;&#13;&#10;&#13;&#10;message =  testExec.getStateValue(&quot;fl_response&quot;);&#13;&#10;&#13;&#10;String encodedMessage = (String) Base64.encode(message.getBytes());&#13;&#10;&#13;&#10;return encodedMessage;&#13;&#10;</script>
    </Node>


    <Node name="Base64Encode_Request" log=""
          type="com.itko.lisa.test.ScriptNode" 
          version="1" 
          uid="B7A4ED83DBED11E6A7B464A220524153" 
          think="500-1S" 
          useFilters="true" 
          quiet="false" 
          next="Example_Base64Decode" > 


      <!-- Filters -->
      <Filter type="com.itko.lisa.test.FilterSaveResponse">
        <valueToFilterKey>lisa.Base64Encode_Request.rsp</valueToFilterKey>
      <prop>encodedMessage</prop>
      </Filter>


      <!-- Assertions -->
<CheckResult assertTrue="true" name="Any Exception Then Fail" type="com.itko.lisa.dynexec.CheckInvocationEx">
<log>Assertion name: Any Exception Then Fail checks for: true  is of type: Assert on Invocation Exception.</log>
<then>fail</then>
<valueToAssertKey></valueToAssertKey>
        <param>.*</param>
</CheckResult>

<onerror>abort</onerror>
<script>&#13;&#10;import com.itko.lisa.remote.utils.Base64;&#13;&#10;&#13;&#10;message =  testExec.getStateValue(&quot;fl_request&quot;);&#13;&#10;&#13;&#10;String encodedMessage = (String) Base64.encode(message.getBytes());&#13;&#10;&#13;&#10;return encodedMessage;&#13;&#10;</script>
    </Node>


    <Node name="Example_Base64Decode" log=""
          type="com.itko.lisa.test.ScriptNode" 
          version="1" 
          uid="D1E0298F9A6511E3AD5DF01FAF6372B9" 
          think="500-1S" 
          useFilters="true" 
          quiet="false" 
          next="end" > 


      <!-- Assertions -->
<CheckResult assertTrue="true" name="Any Exception Then Fail" type="com.itko.lisa.dynexec.CheckInvocationEx">
<log>Assertion name: Any Exception Then Fail checks for: true  is of type: Assert on Invocation Exception.</log>
<then>fail</then>
<valueToAssertKey></valueToAssertKey>
        <param>.*</param>
</CheckResult>

<onerror>abort</onerror>
<script>// example on how to decode&#13;&#10;import com.itko.lisa.remote.utils.Base64;&#13;&#10;&#13;&#10;encodedMessage =  (String) testExec.getStateValue(&quot;encodedMessage&quot;);&#13;&#10;&#13;&#10;byte[] decodedMessage = Base64.decode(encodedMessage);&#13;&#10;&#13;&#10;return new String(decodedMessage);&#13;&#10;</script>
    </Node>


    <Node name="end" log=""
          type="com.itko.lisa.test.NormalEnd" 
          version="1" 
          uid="C255483A9A6511E3AD5DF01FAF6372B9" 
          think="0h" 
          useFilters="true" 
          quiet="true" 
          next="fail" > 

    </Node>


    <Node name="fail" log=""
          type="com.itko.lisa.test.Abend" 
          version="1" 
          uid="C25548389A6511E3AD5DF01FAF6372B9" 
          think="0h" 
          useFilters="true" 
          quiet="true" 
          next="abort" > 

    </Node>


    <Node name="abort" log=""
          type="com.itko.lisa.test.AbortStep" 
          version="1" 
          uid="C25548369A6511E3AD5DF01FAF6372B9" 
          think="0h" 
          useFilters="true" 
          quiet="true" 
          next="" > 

    </Node>


</TestCase>
